# Envelope MetaData

It is possible to [add](https://docs.docstudio.com/en/latest/pages/api/openApi.html#tag/envelope-controller/operation/updateEnvelopeMetadata) and [delete](https://docs.docstudio.com/en/latest/pages/api/openApi.html#tag/envelope-controller/operation/deleteEnvelopeMetadata) metadata from envelopes. It is only available for API users and this data will also only be visible to API users.

Metadata can also be [added to envelope forms](https://docs.docstudio.com/en/latest/pages/api/openApi.html#tag/form-controller) and will be used in all envelopes created from such forms.

* Each key name should have 1 - 32 characters length
* Each key value should have 0 - 128 characters length and can be a string, boolean or NULL
* To delete certain metadata key-value pairs in the envelope, add them to the DELETE request as query parameters (\&key=additionalProp1?key=additionalProp2)
* To delete all metadata key-value pairs in the envelope, send the DELETE request without query parameters
* To update or delete metadata in the form, use regular form update endpoint to overwrite the metadata


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/envelope/envelope-metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
